<?php

namespace Users\Controller;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
use Users\View\Twig;

class index {
  
  protected $container;

  public function __construct(ContainerInterface $container){
    $this->container = $container;

  }

  public function index(ServerRequestInterface $request, ResponseInterface $response, array $args){

    $twig = $this->container->get('twig'); 
    addNavbar($twig);
    $template = $twig->load('index.html.twig');
    $render = $template->render();
    $response->getBody()->write($render);
    return $response;
  }
} 