<?php

namespace Users\Model;
use SQLite3;

class DB extends SQLite3{
  private $test;

  function __construct(){
   $this->open('../private/db.db');  
  
}

public function loadUsers(){
  
  $sql = "SELECT * FROM users";
  $stmt = $this->prepare($sql);
  $res = $stmt->execute();
  return $res;
}

public function createUser($userData){
 
  $stmt = $this->prepare("INSERT INTO users (username, email, credit) 
                          VALUES (:username, :email, :credit)");
  $stmt->bindValue(':username',$userData['username'], SQLITE3_TEXT);
  $stmt->bindValue(':email',$userData['email'], SQLITE3_TEXT);
  $stmt->bindValue(':credit',$userData['credit'], SQLITE3_TEXT);
  $res = $stmt->execute();
  return $res;
}
}

  